MAKEINFO(1)

NAME
makeinfo - translate Texinfo documents

SYNOPSIS
makeinfo [OPTION]... TEXINFO-FILE...

DESCRIPTION

Translate Texinfo source documentation to various other formats: Info files suitable for reading online with Emacs or standalone GNU Info (by default); plain text (with --no-headers); or HTML (with --html).

OPTIONS

--commands-in-node-names
    allow @ commands in node names.

-D VAR
    define a variable, as with @set.

-E, --macro-expand FILE
    output macro-expanded source to FILE.

--error-limit=NUM
    quit after NUM errors (default 100).

--fill-column=NUM
    break Info lines at NUM characters (default 72).

--footnote-style=STYLE
    output footnotes according to STYLE:

    `separate' to place footnotes in their own node, `end' to place the footnotes at the end of the

    node in which they are defined (the default).

--force
    preserve output even if errors.

--help
    display this help and exit.

--html
    output HTML rather than Info format;

-I DIR
    append DIR to the @include search path.

--ifhtml
    process @ifhtml and @html text even when not

    generating HTML.

--ifinfo
    process @ifinfo text even when generating HTML.

--iftex
    process @iftex and @tex text.

    implies --no-split.

--no-headers
    suppress Info node separators and Node: lines and

    write to standard output without --output.

--no-ifhtml
    do not process @ifhtml and @html text.

--no-ifinfo
    do not process @ifinfo text.

--no-iftex
    do not process @iftex and @tex text.

--no-split
    suppress splitting of large Info output files or generation of one HTML file per node.

--no-validate
    suppress node cross-reference validation.

--no-warn
    suppress warnings (but not errors).

--number-sections
    include chapter, section, etc. numbers in output.

-o, --output=FILE
    output to FILE, ignoring any @setfilename.

-P DIR
    prepend DIR to the @include search path.

--paragraph-indent=VAL
    indent Info paragraphs by VAL spaces (default 3).

    if VAL is `none', do not indent; if VAL is `asis', preserve existing indentation.

--reference-limit=NUM
    warn about at most NUM references (default 1000).

-U VAR
    undefine a variable, as with @clear.

-v, --verbose
    explain what is being done.

--version
    display version information and exit.

The defaults for the @if... conditionals depend on the output format: if generating HTML, --ifhtml is on and the others are off; if generating Info or plain text, --ifinfo is on and the others are off.

EXAMPLES

makeinfo foo.texi
    write Info to foo's @setfilename

makeinfo --html foo.texi
    write HTML to foo's @setfilename

makeinfo --no-headers -o - foo.texi
    write plain text to standard output

makeinfo --number-sections foo.texi
    write Info with numbered sections

makeinfo --no-split foo.texi
    write one Info file however big

REPORTING BUGS
Email bug reports to bug-texinfo@gnu.org, general questions and discussion to help-texinfo@gnu.org.

SEE ALSO
The full documentation for makeinfo is maintained as a Texinfo manual. If the info and makeinfo programs are properly installed at your site, the command

    info makeinfo

should give you access to the complete manual.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc. There is NO warranty. You may redistribute this software under the terms of the GNU General Public License. For more information about these matters, see the files named COPYING.